@graysky in post_update e post_install:
echo -e "\e[1;33m==>\e[0m Updating 'versions' file...\e[0m"
sudo -u pihole bash /opt/pihole/updatecheck.sh;
/etc/pihole/versions is automatically updated by that script...
Git Clone URL: | https://aur.archlinux.org/pi-hole-core.git (read-only, click to copy) |
---|---|
Package Base: | pi-hole-core |
Description: | The Pi-hole is an advertising-aware DNS/Web server. Arch adaptation for lan wide DNS server. |
Upstream URL: | https://github.com/pi-hole/pi-hole |
Licenses: | EUPL-1.2 |
Conflicts: | pi-hole-server, pi-hole-standalone |
Provides: | pi-hole-server, pi-hole-standalone |
Submitter: | max.bra |
Maintainer: | max.bra (graysky) |
Last Packager: | max.bra |
Votes: | 119 |
Popularity: | 3.94 |
First Submitted: | 2025-02-21 17:31 (UTC) |
Last Updated: | 2025-03-30 17:07 (UTC) |
@graysky in post_update e post_install:
echo -e "\e[1;33m==>\e[0m Updating 'versions' file...\e[0m"
sudo -u pihole bash /opt/pihole/updatecheck.sh;
/etc/pihole/versions is automatically updated by that script...
@max - /etc/pihole/versions needs an update for this release (minor but reporting anyway).
oops, sorry
@max.bra do you forget the first part of the patch? (systemctl stop)
@disprofarma done, thanks for reporting
Hi @max.bra, the file /opt/pihole/piholeARPTable.sh ("pihole arpflush" command) needs a tweak to work:
--- /opt/pihole/piholeARPTable.sh.bkp 2025-03-19 18:07:04.686670100 -0300
+++ /opt/pihole/piholeARPTable.sh 2025-03-19 18:08:02.586644067 -0300
@@ -32,7 +32,7 @@
fi
# Stop FTL to prevent database access
- if ! output=$(service pihole-FTL stop 2>&1); then
+ if ! output=$(systemctl stop pihole-FTL.service 2>&1); then
echo -e "${OVER} ${CROSS} Failed to stop FTL"
echo " Output: ${output}"
return 1
@@ -64,7 +64,7 @@
fi
# Start FTL again
- if ! output=$(service pihole-FTL restart 2>&1); then
+ if ! output=$(systemctl restart pihole-FTL.service 2>&1); then
echo -e "${OVER} ${CROSS} Failed to restart FTL"
echo " Output: ${output}"
return 1
@graysky
Likely your problem. Build the three packages with makepkg and install them with pacman. AUR helpers rarely help.
Could you clarify what AUR helpers are doing that would cause issues and be different from just makepkg -si
? I don't really run into issues with AUR helpers, besides maybe having to clean-build every once in a blue moon.
Also, unfortunately, installing the 3 packages that way did not fix the problem in my specific case. Any other ideas?
all update status management is handled through the /etc/pihole/versions file
$ ls -l /etc/pihole/
....
-rw-r--r-- 1 pihole pihole 366 Mar 5 22:32 versions
$ cat /etc/pihole/versions
CORE_VERSION=6.0.5
CORE_BRANCH=master
CORE_HASH=builtfromreleasetarball
GITHUB_CORE_VERSION=v6.0.5
GITHUB_CORE_HASH=9fe687bd
WEB_VERSION=6.0.2
WEB_BRANCH=master
WEB_HASH=builtfromreleasetarball
GITHUB_WEB_VERSION=v6.0.2
GITHUB_WEB_HASH=25441178
FTL_VERSION=v6.0.4
FTL_BRANCH=master
FTL_HASH=builtfromreleasetarball
GITHUB_FTL_VERSION=v6.0.4
GITHUB_FTL_HASH=b7eb53bf
during installation, upgrade and from time to time is runned
sudo -u pihole bash /opt/pihole/updatecheck.sh
i am firmly convinced that for some reason your /etc/pihole/versions file is not being updated. it cannot be otherwise.
@max.bra - even though 6.0.5-1 is installed, the footer of web GUI reports:
Core 6.0.4FTL v6.0.4Web interface 6.0.1
I updated the system via the paru aur helper,
Likely your problem. Build the three packages with makepkg and install them with pacman. AUR helpers rarely help.
Pinned Comments
max.bra commented on 2025-02-21 21:44 (UTC)
ArchLinux Pi-hole is not officially supported by Pi-hole project. In case of bugs and malfunctions please DO NOT file a report upstream.
First of all check if the wiki (https://wiki.archlinux.org/index.php/Pi-hole) can help then ask here for assistance and tips.
When it will be excluded that the problem does not depend on ArchLinux we will file a bug upstream.
max.bra commented on 2025-02-21 17:56 (UTC)
to update to pi-hole 6, please use pi-hole-core pi-hole-ftl and pi-hole-web packages.